Package org.opensaml.saml.saml2.core.impl

# Class SubjectConfirmationDataImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.SubjectConfirmationDataImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `SubjectConfirmationData`

Direct Known Subclasses:
  `KeyInfoConfirmationDataTypeImpl`

public class SubjectConfirmationDataImpl extends AbstractXMLObject implements SubjectConfirmationData
Concrete implementation of `SubjectConfirmationData`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`address`
Address of the Confirmation Data.
`private String`
`inResponseTo`
InResponseTo of the Confirmation Data.
`private Instant`
`notBefore`
NotBefore of the Confirmation Data.
`private Instant`
`notOnOrAfter`
NotOnOrAfter of the Confirmation Data.
`private String`
`recipient`
Recipient of the Confirmation Data.
`private final AttributeMap`
`unknownAttributes`
"anyAttribute" attributes.
`private final IndexedXMLObjectChildrenList<XMLObject>`
`unknownChildren`
"any" children.

### Fields inherited from interface org.opensaml.saml.saml2.core.SubjectConfirmationData

`ADDRESS_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, IN_RESPONSE_TO_ATTRIB_NAME, NOT_BEFORE_ATTRIB_NAME, NOT_BEFORE_ATTRIB_QNAME, NOT_ON_OR_AFTER_ATTRIB_NAME, NOT_ON_OR_AFTER_ATTRIB_QNAME, RECIPIENT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectConfirmationDataImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddress()`
Gets the IP address to which this information may be pressented.
`String`
`getInResponseTo()`
Gets the message ID this is in response to.
`Instant`
`getNotBefore()`
Gets the time before which this subject is not valid.
`Instant`
`getNotOnOrAfter()`
Gets the time at, or after, which this subject is not valid.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRecipient()`
Gets the recipient of this subject.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`List<XMLObject>`
`getUnknownXMLObjects()`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.
`List<XMLObject>`
`getUnknownXMLObjects(QName typeOrName)`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.
`void`
`setAddress(String newAddress)`
Sets the IP address to which this information may be pressented.
`void`
`setInResponseTo(String newInResponseTo)`
Sets the message ID this is in response to.
`void`
`setNotBefore(Instant newNotBefore)`
Sets the time before which this subject is not valid.
`void`
`setNotOnOrAfter(Instant newNotOnOrAfter)`
Sets the time at, or after, which this subject is not valid.
`void`
`setRecipient(String newRecipient)`
Sets the recipient of this subject.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### notBefore

@Nullable private Instant notBefore
NotBefore of the Confirmation Data.

### notOnOrAfter

@Nullable private Instant notOnOrAfter
NotOnOrAfter of the Confirmation Data.

### recipient

@Nullable private String recipient
Recipient of the Confirmation Data.

### inResponseTo

@Nullable private String inResponseTo
InResponseTo of the Confirmation Data.

### address

@Nullable private String address
Address of the Confirmation Data.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
"anyAttribute" attributes.

### unknownChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> unknownChildren
"any" children.

## Constructor Details

### SubjectConfirmationDataImpl

protected SubjectConfirmationDataImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNotBefore

@Nullable public Instant getNotBefore()
Gets the time before which this subject is not valid.

Specified by:
  `getNotBefore` in interface `SubjectConfirmationData`
Returns:
  the time before which this subject is not valid

### setNotBefore

public void setNotBefore(@Nullable Instant newNotBefore)
Sets the time before which this subject is not valid.

Specified by:
  `setNotBefore` in interface `SubjectConfirmationData`
Parameters:
  `newNotBefore` - the time before which this subject is not valid

### getNotOnOrAfter

@Nullable public Instant getNotOnOrAfter()
Gets the time at, or after, which this subject is not valid.

Specified by:
  `getNotOnOrAfter` in interface `SubjectConfirmationData`
Returns:
  the time at, or after, which this subject is not valid

### setNotOnOrAfter

public void setNotOnOrAfter(@Nullable Instant newNotOnOrAfter)
Sets the time at, or after, which this subject is not valid.

Specified by:
  `setNotOnOrAfter` in interface `SubjectConfirmationData`
Parameters:
  `newNotOnOrAfter` - the time at, or after, which this subject is not valid

### getRecipient

@Nullable public String getRecipient()
Gets the recipient of this subject.

Specified by:
  `getRecipient` in interface `SubjectConfirmationData`
Returns:
  the recipient of this subject

### setRecipient

public void setRecipient(@Nullable String newRecipient)
Sets the recipient of this subject.

Specified by:
  `setRecipient` in interface `SubjectConfirmationData`
Parameters:
  `newRecipient` - the recipient of this subject

### getInResponseTo

@Nullable public String getInResponseTo()
Gets the message ID this is in response to.

Specified by:
  `getInResponseTo` in interface `SubjectConfirmationData`
Returns:
  the message ID this is in response to

### setInResponseTo

public void setInResponseTo(@Nullable String newInResponseTo)
Sets the message ID this is in response to.

Specified by:
  `setInResponseTo` in interface `SubjectConfirmationData`
Parameters:
  `newInResponseTo` - the message ID this is in response to

### getAddress

@Nullable public String getAddress()
Gets the IP address to which this information may be pressented.

Specified by:
  `getAddress` in interface `SubjectConfirmationData`
Returns:
  the IP address to which this information may be pressented

### setAddress

public void setAddress(@Nullable String newAddress)
Sets the IP address to which this information may be pressented.

Specified by:
  `setAddress` in interface `SubjectConfirmationData`
Parameters:
  `newAddress` - the IP address to which this information may be pressented

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getUnknownXMLObjects

@Nonnull @Live public List<XMLObject> getUnknownXMLObjects()
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model

### getUnknownXMLObjects

@Nonnull @Live public List<XMLObject> getUnknownXMLObjects(@Nonnull QName typeOrName)
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model TODO: think this should be typed List<? extends XMLObject>

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements